LLVM: lldb::SBTypeSummaryOptions Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBTypeSummaryOptions Class Reference

`#include <SBTypeSummary.h>`

## Public Member Functions
| SBTypeSummaryOptions ()
| SBTypeSummaryOptions (const lldb::SBTypeSummaryOptions &rhs)
| SBTypeSummaryOptions (const lldb_private::TypeSummaryOptions *lldb_object_ptr)
| ~SBTypeSummaryOptions ()
bool | IsValid ()
lldb::LanguageType | GetLanguage ()
lldb::TypeSummaryCapping | GetCapping ()
void | SetLanguage (lldb::LanguageType)
void | SetCapping (lldb::TypeSummaryCapping)

## Protected Member Functions
lldb_private::TypeSummaryOptions * | operator-> ()
const lldb_private::TypeSummaryOptions * | operator-> () const
lldb_private::TypeSummaryOptions * | get ()
lldb_private::TypeSummaryOptions & | ref ()
const lldb_private::TypeSummaryOptions & | ref () const
void | SetOptions (const lldb_private::TypeSummaryOptions *lldb_object_ptr)

## Friends
class | SBValue

## Detailed Description

Definition at line 17 of file SBTypeSummary.h.

## Constructor & Destructor Documentation

lldb::SBTypeSummaryOptions::SBTypeSummaryOptions | ( |  | ) |

lldb::SBTypeSummaryOptions::SBTypeSummaryOptions | ( | const lldb::SBTypeSummaryOptions & | rhs | ) |

lldb::SBTypeSummaryOptions::SBTypeSummaryOptions | ( | const lldb_private::TypeSummaryOptions * | lldb_object_ptr | ) |

lldb::SBTypeSummaryOptions::~SBTypeSummaryOptions | ( |  | ) |

## Member Function Documentation

lldb_private::TypeSummaryOptions* lldb::SBTypeSummaryOptions::get | ( |  | ) |
| protected

lldb::TypeSummaryCapping lldb::SBTypeSummaryOptions::GetCapping | ( |  | ) |

lldb::LanguageType lldb::SBTypeSummaryOptions::GetLanguage | ( |  | ) |

bool lldb::SBTypeSummaryOptions::IsValid | ( |  | ) |

lldb_private::TypeSummaryOptions* lldb::SBTypeSummaryOptions::operator-> | ( |  | ) |
| protected

const lldb_private::TypeSummaryOptions* lldb::SBTypeSummaryOptions::operator-> | ( |  | ) | const
| protected

lldb_private::TypeSummaryOptions& lldb::SBTypeSummaryOptions::ref | ( |  | ) |
| protected

const lldb_private::TypeSummaryOptions& lldb::SBTypeSummaryOptions::ref | ( |  | ) | const
| protected

void lldb::SBTypeSummaryOptions::SetCapping | ( | lldb::TypeSummaryCapping |  | ) |

void lldb::SBTypeSummaryOptions::SetLanguage | ( | lldb::LanguageType |  | ) |

void lldb::SBTypeSummaryOptions::SetOptions | ( | const lldb_private::TypeSummaryOptions * | lldb_object_ptr | ) |
| protected

## Friends And Related Function Documentation

friend class SBValue
| friend

Definition at line 38 of file SBTypeSummary.h.

The documentation for this class was generated from the following file:

- SBTypeSummary.h